Bug 58151 - Large files being truncated on read from CDROM drive
Large files being truncated on read from CDROM drive
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-10 02:22 EST by Need Real Name
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 02:30:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-10 02:22:52 EST
Description of Problem:
My Laptop (Comapq Pressarion 1711T) has this LG DRN-8080B DVD/CD drive. It 
works fine in WindowsXP and used to work fine with RH7.1 too. I installed RH7.2 
(fresh install) using the same DVD/CD drive. Now whenever i try to copy small 
files form CD to HDD, i am able to, *but* whenever i try to copy large files, 
all such files are only partly copied (truncated to 1601536 bytes), followed by 
an i/o error message. Same happens to an external CDRW drive (USB), i.e. large 
files read from that too are truncated.

Version-Release number of selected component (if applicable):
The base version (original in CD) of PCMCIA kernel. Don't remember off hand.

How Reproducible:
100% reproducable.

Steps to Reproduce:
1. Try to copy any file > 1601536
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
output of kernel log file ---




   
...: hdc: command error: status=0x51 { DriveReady SeekComplete Error }   
...: hdc: command error: error=0x51   
...: end_request: I/O error, dev 16:00 (hdc), sector 511216   
...: hdc: command error: status=0x51 { DriveReady SeekComplete Error }   
...: hdc: command error: error=0x51   
...: end_request: I/O error, dev 16:00 (hdc), sector 511220   
...: hdc: command error: status=0x51 { DriveReady SeekComplete Error }   
...: hdc: command error: error=0x51   
...: end_request: I/O error, dev 16:00 (hdc), sector 511224   
...: hdc: command error: status=0x51 { DriveReady SeekComplete Error }   
...: hdc: command error: error=0x51   
...: end_request: I/O error, dev 16:00 (hdc), sector 511228   

also here is some more information from /proc filesystem... 


  
[bdutta@localhost proc]$ cat ide/drivers  
ide-cdrom version 4.59  
ide-floppy version 0.97  
ide-disk version 1.10     
[bdutta@localhost proc]$ cat ide/hdc/model  
LG DVD-ROM DRN-8080B  
[root@localhost proc]# cat ide/hdc/capacity  
1338004  
[root@localhost proc]# cat ide/hdc/driver  
ide-cdrom version 4.59  
[root@localhost proc]# cat ide/hdc/identify  
(copied with line number from "vi")  
      1 85c0 0000 0000 0000 0000 0000 0000 0000  
      2 0000 0000 3230 3031 2f30 382f 3134 2020  
      3 2020 2020 2020 2020 0000 0000 0000 342e  
      4 3030 2020 2020 4c47 2020 2020 2020 4456  
      5 442d 524f 4d20 4452 4e2d 3830 3830 4220  
      ....  
[root@localhost proc]# cat ide/hdc/settings  
name                    value           min             max             mode  
----                    -----           ---             ---             ----  
breada_readahead        4               0               127             rw  
current_speed           0               0               69              rw  
dsc_overlap             0               0               1               rw  
file_readahead          0               0               2097151         rw  
ide_scsi                0               0               1               rw  
init_speed              0               0         69              rw  
io_32bit                0               0               3               rw  
keepsettings            0               0               1               rw  
max_kb_per_request      127             1               127             rw  
nice1                   1               0               1               rw  
number                  2               0               3               rw  
pio_mode                write-only      0               255             w  
slow                    0               0               1               rw  
unmaskirq               0               0               1               rw  
using_dma               0               0               1               rw
Comment 1 Arjan van de Ven 2002-01-18 13:54:04 EST
Can you try disabling dma for the drive ?
hdparm -d0 /dev/hdc ought to do the trick...
Comment 2 Banibrata Dutta 2002-06-04 01:10:23 EDT
hdparm -d0 /dev/hdc certainly did not do the trick for me.

Note You need to log in before you can comment on or make changes to this bug.